<?php

declare(strict_types=1);

namespace Dedi\SyliusMarketingPlugin\Item;

interface ItemInterface
{
    public function getValue(): float;

    public function getItemId(): string;

    public function setItemId(string $item_id): self;

    public function getItemName(): string;

    public function setItemName(string $item_name): self;

    public function getAffiliation(): ?string;

    public function setAffiliation(?string $affiliation): self;

    public function getCoupon(): ?string;

    public function setCoupon(?string $coupon): self;

    public function getCurrency(): string;

    public function setCurrency(string $currency): self;

    public function getDiscount(): ?float;

    public function setDiscount(?float $discount): self;

    public function getIndex(): ?int;

    public function setIndex(?int $index): self;

    public function getItemBrand(): ?string;

    public function setItemBrand(?string $item_brand): self;

    public function getItemCategory();

    public function setItemCategory($item_category): self;

    public function getItemCategory2(): ?string;

    public function setItemCategory2(?string $item_category2): self;

    public function getItemCategory3(): ?string;

    public function setItemCategory3(?string $item_category3): self;

    public function getItemCategory4(): ?string;

    public function setItemCategory4(?string $item_category4): self;

    public function getItemCategory5(): ?string;

    public function setItemCategory5(?string $item_category5): self;

    public function getItemListId(): ?string;

    public function setItemListId(?string $item_list_id): self;

    public function getItemListName(): ?string;

    public function setItemListName(?string $item_list_name): self;

    public function getItemVariant(): ?string;

    public function setItemVariant(?string $item_variant): self;

    public function getLocationId(): ?string;

    public function setLocationId(?string $location_id): self;

    public function getPrice(): ?float;

    public function setPrice(?float $price): self;

    public function getQuantity(): int;

    public function setQuantity(int $quantity): self;
}
